package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModelProperty;

import com.yonge.cooleshow.biz.dal.entity.Teacher;

public class HotTeacherVo extends Teacher {

	/**
	 * 
	 */
	private static final long serialVersionUID = -46639589041719964L;

	@ApiModelProperty("头像地址")
    private String avatar;
	
    @ApiModelProperty("老师昵称")
    private String username;
    
    @ApiModelProperty("是否正在直播")
    private boolean isLiving;
    
    @ApiModelProperty("是否关注")
    private boolean isWatch;

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public boolean isLiving() {
		return isLiving;
	}

	public void setIsLiving(boolean isLiving) {
		this.isLiving = isLiving;
	}

	public boolean isWatch() {
		return isWatch;
	}

	public void setWatch(boolean isWatch) {
		this.isWatch = isWatch;
	}
}
